get
https://api.rotowire.com/Football/CFB/News.php
Latest news and updates for college football players including injuries, depth chart changes, and storylines.
Attributes
Top-Level Fields
| Field | Type | Description |
|---|---|---|
Date | string | Date in YYYY-MM-DD format |
Updates | array | Array of news or injury update objects |
Updates Object
| Field | Type | Description |
|---|---|---|
Id | string | Unique RotoWire identifier |
DateTime | string | Date and time in ISO 8601 format |
Priority | string | News priority level — 1 = Biggest News, 2 = Top Players, 3 = Regular, 4 = Minor Leaguers, 5 = Non-Fantasy |
Headline | string | Short headline summarizing the update |
Notes | string | Brief factual notes about the player or event |
Analysis | string | In-depth analytical commentary on fantasy and betting impact |
Injury | object | Injury status and details |
Player | object | Player information object |
Team | object | Team information object |
Injury Object
| Field | Type | Description |
|---|---|---|
Status | string | Injury or availability status (e.g. OUT, GTD, Q, D, IR) |
Type | string | Type of injury (e.g. Knee, Ankle, Back, Hamstring) |
Location | string | General body location of the injury |
Detail | string | Specific injury detail or descriptor (e.g. Sprain, Strain, Fracture) |
Side | string | Affected side of the body (Left, Right, or Not Specified) |
Player Object
| Field | Type | Description |
|---|---|---|
FirstName | string | Player's first name |
LastName | string | Player's last name |
Position | string | Player's eligible position(s) (e.g. QB, RB, FB, WR, TE, OT, OG, C, DE, DT, LB, CB, S, K, P) |
Link | string | URL to the player's RotoWire profile page |
Id | string | Unique RotoWire identifier |
SportDataIOId | string | SportsDataIO identifier for this player |
Team Object
| Field | Type | Description |
|---|---|---|
Id | string | Unique RotoWire identifier |
Name | string | Full name |
Nickname | string | Team or player nickname |
Example Response
{"Date":"2026-05-14","Updates":{"Id":"226802","DateTime":"2026-05-14 10:55:02.167","Priority":"2","Headline":"Committed to Maryland","Notes":"Worthy has committed to play for Maryland for the 2026 season, per Matt Zenitz of CBSSports.com.","Analysis":"Worthy will join the Terrapins following two seasons with Temple. The 5-foot-11 running back appeared in just four games for the Owls this past season, running for 71 yards and a touchdown on 3.1 YPC to go along with six receptions for 74 yards and a score through the air as well. Worthy will retain a single year of eligibility with Maryland.","Injury":{"Status":"","Type":null,"Location":null,"Detail":null,"Side":null},"Player":{"FirstName":"Terrez","LastName":"Worthy","Position":"RB","Link":"https://www.rotowire.com/cfootball/player/terrez-worthy-46767","Id":"46767","SportDataIOId":"50092817"},"Team":{"Id":"Maryland","Name":"Maryland","Nickname":"Terrapins "}}}